<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsTimeStamp Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="struct_xs_time_stamp-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsTimeStamp Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class contains method to set, retrieve and compare timestamps.  
 <a href="struct_xs_time_stamp.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aac5bec25a7e0ad5646e181eeafaffc6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac5bec25a7e0ad5646e181eeafaffc6a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#aac5bec25a7e0ad5646e181eeafaffc6a">XsTimeStamp</a> (int64_t t=0)</td></tr>
<tr class="memdesc:aac5bec25a7e0ad5646e181eeafaffc6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a timestamp with <em>t</em> as the time in milliseconds. <br /></td></tr>
<tr class="separator:aac5bec25a7e0ad5646e181eeafaffc6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c96a8b4c713ccf080e30aeb13ad28a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c96a8b4c713ccf080e30aeb13ad28a0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a6c96a8b4c713ccf080e30aeb13ad28a0">XsTimeStamp</a> (int t)</td></tr>
<tr class="memdesc:a6c96a8b4c713ccf080e30aeb13ad28a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a timestamp with <em>t</em> as the time in milliseconds. <br /></td></tr>
<tr class="separator:a6c96a8b4c713ccf080e30aeb13ad28a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d686275662b8b5b4a7e4fc9a7454389"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d686275662b8b5b4a7e4fc9a7454389"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a7d686275662b8b5b4a7e4fc9a7454389">XsTimeStamp</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other)</td></tr>
<tr class="memdesc:a7d686275662b8b5b4a7e4fc9a7454389"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a copy of <em>other</em>. <br /></td></tr>
<tr class="separator:a7d686275662b8b5b4a7e4fc9a7454389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32117a3b91b9428e78705c04cc0e5570"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32117a3b91b9428e78705c04cc0e5570"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a32117a3b91b9428e78705c04cc0e5570">XsTimeStamp</a> (const <a class="el" href="struct_xs_utc_time.html">XsUtcTime</a> &amp;utc)</td></tr>
<tr class="memdesc:a32117a3b91b9428e78705c04cc0e5570"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct from <em>utc</em>. <br /></td></tr>
<tr class="separator:a32117a3b91b9428e78705c04cc0e5570"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a047cc446de9c13259be2620425f12bc0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a047cc446de9c13259be2620425f12bc0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a047cc446de9c13259be2620425f12bc0">toUtcTime</a> (<a class="el" href="struct_xs_utc_time.html">XsUtcTime</a> &amp;utc)</td></tr>
<tr class="memdesc:a047cc446de9c13259be2620425f12bc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert this timestamp to UTC time <em>utc</em>. <br /></td></tr>
<tr class="separator:a047cc446de9c13259be2620425f12bc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d450b6c36828360a7e0df914f2573df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d450b6c36828360a7e0df914f2573df"></a>
<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a4d450b6c36828360a7e0df914f2573df">operator=</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other)</td></tr>
<tr class="memdesc:a4d450b6c36828360a7e0df914f2573df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign the contents of the <em>other</em> timestamp to this timestamp. <br /></td></tr>
<tr class="separator:a4d450b6c36828360a7e0df914f2573df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad06e4bb2dc65364d24cffffdc86b558c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad06e4bb2dc65364d24cffffdc86b558c"></a>
int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#ad06e4bb2dc65364d24cffffdc86b558c">msTime</a> (void) const </td></tr>
<tr class="memdesc:ad06e4bb2dc65364d24cffffdc86b558c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the stored time as milliseconds. <br /></td></tr>
<tr class="separator:ad06e4bb2dc65364d24cffffdc86b558c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b49f1525dc1863a9df605b638ac54d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b49f1525dc1863a9df605b638ac54d2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a7b49f1525dc1863a9df605b638ac54d2">setMsTime</a> (int64_t t)</td></tr>
<tr class="memdesc:a7b49f1525dc1863a9df605b638ac54d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the stored time to <em>t</em> milliseconds. <br /></td></tr>
<tr class="separator:a7b49f1525dc1863a9df605b638ac54d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d1d66f5dc8d43ba677259a9802c8f63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d1d66f5dc8d43ba677259a9802c8f63"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a5d1d66f5dc8d43ba677259a9802c8f63">timeOfDay</a> () const </td></tr>
<tr class="memdesc:a5d1d66f5dc8d43ba677259a9802c8f63"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the time of day component of the stored timestamp in seconds as a double precision value. <br /></td></tr>
<tr class="separator:a5d1d66f5dc8d43ba677259a9802c8f63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec6697ee38df54f3e89f95ec6d2f5a8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec6697ee38df54f3e89f95ec6d2f5a8f"></a>
int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#aec6697ee38df54f3e89f95ec6d2f5a8f">msTimeOfDay</a> () const </td></tr>
<tr class="memdesc:aec6697ee38df54f3e89f95ec6d2f5a8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the time of day component of the stored timestamp in milliseconds. <br /></td></tr>
<tr class="separator:aec6697ee38df54f3e89f95ec6d2f5a8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79cadbe03aadaa6d29f612b15aa7333f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79cadbe03aadaa6d29f612b15aa7333f"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a79cadbe03aadaa6d29f612b15aa7333f">secTime</a> () const </td></tr>
<tr class="memdesc:a79cadbe03aadaa6d29f612b15aa7333f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the time as seconds. <br /></td></tr>
<tr class="separator:a79cadbe03aadaa6d29f612b15aa7333f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c1b63529092d2b4caa1c5443d5935fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c1b63529092d2b4caa1c5443d5935fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a3c1b63529092d2b4caa1c5443d5935fa">setSecTime</a> (double t)</td></tr>
<tr class="memdesc:a3c1b63529092d2b4caa1c5443d5935fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the time as seconds. <br /></td></tr>
<tr class="separator:a3c1b63529092d2b4caa1c5443d5935fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fa1fe905080b562d9412dfc893263c0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a6fa1fe905080b562d9412dfc893263c0">operator+</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:a6fa1fe905080b562d9412dfc893263c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the sum of the current and the given <em>other</em> timestamp.  <a href="#a6fa1fe905080b562d9412dfc893263c0">More...</a><br /></td></tr>
<tr class="separator:a6fa1fe905080b562d9412dfc893263c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbb35047db3a0147c47a2636bfe9e20f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#abbb35047db3a0147c47a2636bfe9e20f">operator-</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:abbb35047db3a0147c47a2636bfe9e20f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current minus the given <em>other</em> timestamp.  <a href="#abbb35047db3a0147c47a2636bfe9e20f">More...</a><br /></td></tr>
<tr class="separator:abbb35047db3a0147c47a2636bfe9e20f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d0c117b9b3e19df8dde31cfd2abe1d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d0c117b9b3e19df8dde31cfd2abe1d8"></a>
<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a4d0c117b9b3e19df8dde31cfd2abe1d8">operator+=</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other)</td></tr>
<tr class="memdesc:a4d0c117b9b3e19df8dde31cfd2abe1d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the result of adding the given <em>other</em> timestamp to the current timestamp. <br /></td></tr>
<tr class="separator:a4d0c117b9b3e19df8dde31cfd2abe1d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9861fb0b2f647c92afd5d70129ccc2b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9861fb0b2f647c92afd5d70129ccc2b4"></a>
<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a9861fb0b2f647c92afd5d70129ccc2b4">operator-=</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;d)</td></tr>
<tr class="memdesc:a9861fb0b2f647c92afd5d70129ccc2b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the result of subtracting the given <em>other</em> timestamp from the current timestamp. <br /></td></tr>
<tr class="separator:a9861fb0b2f647c92afd5d70129ccc2b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27eee54c7e5b7e7c7f36d1daf26e402a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27eee54c7e5b7e7c7f36d1daf26e402a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a27eee54c7e5b7e7c7f36d1daf26e402a">operator&lt;</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:a27eee54c7e5b7e7c7f36d1daf26e402a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> timestamp is smaller than the current timestamp. <br /></td></tr>
<tr class="separator:a27eee54c7e5b7e7c7f36d1daf26e402a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3995c3de196bc0a72e04449d3ad5d2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3995c3de196bc0a72e04449d3ad5d2a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#ae3995c3de196bc0a72e04449d3ad5d2a">operator&lt;=</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:ae3995c3de196bc0a72e04449d3ad5d2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> timestamp is smaller than or equal to the current timestamp. <br /></td></tr>
<tr class="separator:ae3995c3de196bc0a72e04449d3ad5d2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab046d7a07b57c7e132ce9c5cede42b87"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab046d7a07b57c7e132ce9c5cede42b87"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#ab046d7a07b57c7e132ce9c5cede42b87">operator==</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:ab046d7a07b57c7e132ce9c5cede42b87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> timestamp is equal to the current timestamp. <br /></td></tr>
<tr class="separator:ab046d7a07b57c7e132ce9c5cede42b87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab81f882b0c074e050eb55ee2b285fb8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab81f882b0c074e050eb55ee2b285fb8c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#ab81f882b0c074e050eb55ee2b285fb8c">operator&gt;</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:ab81f882b0c074e050eb55ee2b285fb8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> timestamp is larger than the current timestamp. <br /></td></tr>
<tr class="separator:ab81f882b0c074e050eb55ee2b285fb8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60f8439e96b3cc8c70f13fa06b60d440"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60f8439e96b3cc8c70f13fa06b60d440"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a60f8439e96b3cc8c70f13fa06b60d440">operator&gt;=</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:a60f8439e96b3cc8c70f13fa06b60d440"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> timestamp is larger than or equal to the current timestamp. <br /></td></tr>
<tr class="separator:a60f8439e96b3cc8c70f13fa06b60d440"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcea0e7e6e9e6d185e0f7ad46cc3c060"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcea0e7e6e9e6d185e0f7ad46cc3c060"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#abcea0e7e6e9e6d185e0f7ad46cc3c060">operator!=</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;other) const </td></tr>
<tr class="memdesc:abcea0e7e6e9e6d185e0f7ad46cc3c060"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> timestamp is not equal to the current timestamp. <br /></td></tr>
<tr class="separator:abcea0e7e6e9e6d185e0f7ad46cc3c060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b66ab5e22d1c2f18b86bf26e5c2b44e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b66ab5e22d1c2f18b86bf26e5c2b44e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a5b66ab5e22d1c2f18b86bf26e5c2b44e">operator&lt;</a> (int other) const </td></tr>
<tr class="memdesc:a5b66ab5e22d1c2f18b86bf26e5c2b44e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> is smaller than the current timestamp. <br /></td></tr>
<tr class="separator:a5b66ab5e22d1c2f18b86bf26e5c2b44e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5ad2888f271f67cecf99a2cd3a67ba7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5ad2888f271f67cecf99a2cd3a67ba7"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#af5ad2888f271f67cecf99a2cd3a67ba7">operator&lt;=</a> (int other) const </td></tr>
<tr class="memdesc:af5ad2888f271f67cecf99a2cd3a67ba7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> is smaller than or equal to the current timestamp. <br /></td></tr>
<tr class="separator:af5ad2888f271f67cecf99a2cd3a67ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f987aaffff6118bf3c0f88e8bd1d52e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f987aaffff6118bf3c0f88e8bd1d52e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a6f987aaffff6118bf3c0f88e8bd1d52e">operator==</a> (int other) const </td></tr>
<tr class="memdesc:a6f987aaffff6118bf3c0f88e8bd1d52e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> is equal to the current timestamp. <br /></td></tr>
<tr class="separator:a6f987aaffff6118bf3c0f88e8bd1d52e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c7a14d14820a1877cb438043ade2eb9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c7a14d14820a1877cb438043ade2eb9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a5c7a14d14820a1877cb438043ade2eb9">operator&gt;</a> (int other) const </td></tr>
<tr class="memdesc:a5c7a14d14820a1877cb438043ade2eb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> is larger than the current timestamp. <br /></td></tr>
<tr class="separator:a5c7a14d14820a1877cb438043ade2eb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fbfb25fb186f49cad681e7dcfde3405"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fbfb25fb186f49cad681e7dcfde3405"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a2fbfb25fb186f49cad681e7dcfde3405">operator&gt;=</a> (int other) const </td></tr>
<tr class="memdesc:a2fbfb25fb186f49cad681e7dcfde3405"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> is larger than or equal to the current timestamp. <br /></td></tr>
<tr class="separator:a2fbfb25fb186f49cad681e7dcfde3405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a310c29097223452fded7d1fda0467de5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a310c29097223452fded7d1fda0467de5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a310c29097223452fded7d1fda0467de5">operator!=</a> (int other) const </td></tr>
<tr class="memdesc:a310c29097223452fded7d1fda0467de5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the given <em>other</em> is not equal to the current timestamp. <br /></td></tr>
<tr class="separator:a310c29097223452fded7d1fda0467de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2a57f6c5475aab4f6730176d784e05e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2a57f6c5475aab4f6730176d784e05e"></a>
int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#ab2a57f6c5475aab4f6730176d784e05e">secondTime</a> () const </td></tr>
<tr class="memdesc:ab2a57f6c5475aab4f6730176d784e05e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of seconds elapsed since the epoch as stored in the <a class="el" href="struct_xs_time_stamp.html" title="This class contains method to set, retrieve and compare timestamps. ">XsTimeStamp</a>. <br /></td></tr>
<tr class="separator:ab2a57f6c5475aab4f6730176d784e05e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18caf6b5758529e396ef40dbe982dab4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18caf6b5758529e396ef40dbe982dab4"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a18caf6b5758529e396ef40dbe982dab4">milliSecondPart</a> () const </td></tr>
<tr class="memdesc:a18caf6b5758529e396ef40dbe982dab4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the millisecond part of the time (in the range 0-999) <br /></td></tr>
<tr class="separator:a18caf6b5758529e396ef40dbe982dab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3157cf1f27261d08a79aa7a6d86f481"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3157cf1f27261d08a79aa7a6d86f481"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#ad3157cf1f27261d08a79aa7a6d86f481">secondPart</a> () const </td></tr>
<tr class="memdesc:ad3157cf1f27261d08a79aa7a6d86f481"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the seconds part of the time (in the range 0-59) <br /></td></tr>
<tr class="separator:ad3157cf1f27261d08a79aa7a6d86f481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7d4a6d506b84cf3d353da588c4f6b1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7d4a6d506b84cf3d353da588c4f6b1e"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#aa7d4a6d506b84cf3d353da588c4f6b1e">minutePart</a> () const </td></tr>
<tr class="memdesc:aa7d4a6d506b84cf3d353da588c4f6b1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the minutes part of the time (in the range 0-59) <br /></td></tr>
<tr class="separator:aa7d4a6d506b84cf3d353da588c4f6b1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15f2adf213139a78da48c72a28fbc3b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15f2adf213139a78da48c72a28fbc3b0"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a15f2adf213139a78da48c72a28fbc3b0">hourPart</a> () const </td></tr>
<tr class="memdesc:a15f2adf213139a78da48c72a28fbc3b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the hours part of the time (in the range 0-23) <br /></td></tr>
<tr class="separator:a15f2adf213139a78da48c72a28fbc3b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8954ddc6d52269f4baa4a90c4df66f53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8954ddc6d52269f4baa4a90c4df66f53"></a>
<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a8954ddc6d52269f4baa4a90c4df66f53">operator++</a> ()</td></tr>
<tr class="memdesc:a8954ddc6d52269f4baa4a90c4df66f53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increment the timestamp by one ms, prefix. <br /></td></tr>
<tr class="separator:a8954ddc6d52269f4baa4a90c4df66f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2e38cefbc8e4155984ad483c8e0ba89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2e38cefbc8e4155984ad483c8e0ba89"></a>
<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#ae2e38cefbc8e4155984ad483c8e0ba89">operator++</a> (int)</td></tr>
<tr class="memdesc:ae2e38cefbc8e4155984ad483c8e0ba89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increment the timestamp by one ms, postfix. <br /></td></tr>
<tr class="separator:ae2e38cefbc8e4155984ad483c8e0ba89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e8bb37e722be48dbf1776db4db3621"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79e8bb37e722be48dbf1776db4db3621"></a>
<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a79e8bb37e722be48dbf1776db4db3621">operator--</a> ()</td></tr>
<tr class="memdesc:a79e8bb37e722be48dbf1776db4db3621"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrement the timestamp by one ms, prefix. <br /></td></tr>
<tr class="separator:a79e8bb37e722be48dbf1776db4db3621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a467d04f66cb49d73a506402c51365a85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a467d04f66cb49d73a506402c51365a85"></a>
<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a467d04f66cb49d73a506402c51365a85">operator--</a> (int)</td></tr>
<tr class="memdesc:a467d04f66cb49d73a506402c51365a85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrement the timestamp by one ms, postfix. <br /></td></tr>
<tr class="separator:a467d04f66cb49d73a506402c51365a85"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a95d7a5b3710bcb562cb4273027f383da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95d7a5b3710bcb562cb4273027f383da"></a>
static <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a95d7a5b3710bcb562cb4273027f383da">now</a> ()</td></tr>
<tr class="memdesc:a95d7a5b3710bcb562cb4273027f383da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current time in ms since the epoch (Jan 1st 1970) <br /></td></tr>
<tr class="separator:a95d7a5b3710bcb562cb4273027f383da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72250d8db0908db97434f41ed07d9693"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72250d8db0908db97434f41ed07d9693"></a>
static int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a72250d8db0908db97434f41ed07d9693">nowMs</a> ()</td></tr>
<tr class="memdesc:a72250d8db0908db97434f41ed07d9693"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current time in ms since the epoch (Jan 1st 1970) <br /></td></tr>
<tr class="separator:a72250d8db0908db97434f41ed07d9693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92898c2fe77b6d381037315e5e5fc939"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92898c2fe77b6d381037315e5e5fc939"></a>
static <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_time_stamp.html#a92898c2fe77b6d381037315e5e5fc939">maxValue</a> ()</td></tr>
<tr class="memdesc:a92898c2fe77b6d381037315e5e5fc939"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the maximum value of an XsTimeStamp. <br /></td></tr>
<tr class="separator:a92898c2fe77b6d381037315e5e5fc939"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ga6cc206cd38f905d821555bb9a322ac7e"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga6cc206cd38f905d821555bb9a322ac7e">XsTimeStamp_setMilliSecondTime</a> (<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *, int64_t t)</td></tr>
<tr class="memdesc:ga6cc206cd38f905d821555bb9a322ac7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the stored time to <em>miliseconds</em>. <br /></td></tr>
<tr class="separator:ga6cc206cd38f905d821555bb9a322ac7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaccd4c01e2cac9765f62585aa1a8e1ba1"><td class="memItemLeft" align="right" valign="top">
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaccd4c01e2cac9765f62585aa1a8e1ba1">XsTimeStamp_timeOfDay</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *)</td></tr>
<tr class="memdesc:gaccd4c01e2cac9765f62585aa1a8e1ba1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the time of day component of the stored timestamp in seconds as a double precision value. <br /></td></tr>
<tr class="separator:gaccd4c01e2cac9765f62585aa1a8e1ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0753ab6a21c625d468886b2e03150841"><td class="memItemLeft" align="right" valign="top">
int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga0753ab6a21c625d468886b2e03150841">XsTimeStamp_secondTime</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *)</td></tr>
<tr class="memdesc:ga0753ab6a21c625d468886b2e03150841"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of seconds elapsed since the epoch as stored in the <a class="el" href="struct_xs_time_stamp.html" title="This class contains method to set, retrieve and compare timestamps. ">XsTimeStamp</a>. <br /></td></tr>
<tr class="separator:ga0753ab6a21c625d468886b2e03150841"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a15a3de652a757c85b6be392200d65d"><td class="memItemLeft" align="right" valign="top">
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga6a15a3de652a757c85b6be392200d65d">XsTimeStamp_milliSecondPart</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *)</td></tr>
<tr class="memdesc:ga6a15a3de652a757c85b6be392200d65d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the millisecond part of the time (in the range 0-999) <br /></td></tr>
<tr class="separator:ga6a15a3de652a757c85b6be392200d65d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga73cf9b62e56dc2bd2f4572479f8df07b"><td class="memItemLeft" align="right" valign="top">
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga73cf9b62e56dc2bd2f4572479f8df07b">XsTimeStamp_secondPart</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *)</td></tr>
<tr class="memdesc:ga73cf9b62e56dc2bd2f4572479f8df07b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the seconds part of the time (in the range 0-59) <br /></td></tr>
<tr class="separator:ga73cf9b62e56dc2bd2f4572479f8df07b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga66d5e50f0cfb94cee77e3875d7791246"><td class="memItemLeft" align="right" valign="top">
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga66d5e50f0cfb94cee77e3875d7791246">XsTimeStamp_minutePart</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *)</td></tr>
<tr class="memdesc:ga66d5e50f0cfb94cee77e3875d7791246"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the minutes part of the time (in the range 0-59) <br /></td></tr>
<tr class="separator:ga66d5e50f0cfb94cee77e3875d7791246"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab9ecd56cfb6fad328170a98a0e0b3d5e"><td class="memItemLeft" align="right" valign="top">
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gab9ecd56cfb6fad328170a98a0e0b3d5e">XsTimeStamp_hourPart</a> (const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *)</td></tr>
<tr class="memdesc:gab9ecd56cfb6fad328170a98a0e0b3d5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the hours part of the time (in the range 0-23) <br /></td></tr>
<tr class="separator:gab9ecd56cfb6fad328170a98a0e0b3d5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga471299f2a92ca43888c34e0088f8808d"><td class="memItemLeft" align="right" valign="top">int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga471299f2a92ca43888c34e0088f8808d">XsTimeStamp_now</a> (<a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *dest)</td></tr>
<tr class="memdesc:ga471299f2a92ca43888c34e0088f8808d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current time in ms since the epoch (Jan 1st 1970)  <a href="group__cinterface.html#ga471299f2a92ca43888c34e0088f8808d">More...</a><br /></td></tr>
<tr class="separator:ga471299f2a92ca43888c34e0088f8808d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4bef6466398980669fdddf4674813ae8"><td class="memItemLeft" align="right" valign="top">
int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga4bef6466398980669fdddf4674813ae8">XsTimeStamp_maxValue</a> (void)</td></tr>
<tr class="memdesc:ga4bef6466398980669fdddf4674813ae8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the maximum value of an XsTimeStamp. <br /></td></tr>
<tr class="separator:ga4bef6466398980669fdddf4674813ae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga96fc3ee8f0b8597295311adb4ff8c78a"><td class="memItemLeft" align="right" valign="top">int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga96fc3ee8f0b8597295311adb4ff8c78a">XsTimeStamp_fromUtcTime</a> (struct <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *, const struct <a class="el" href="struct_xs_utc_time.html">XsUtcTime</a> *utc)</td></tr>
<tr class="memdesc:ga96fc3ee8f0b8597295311adb4ff8c78a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an <a class="el" href="struct_xs_time_stamp.html" title="This class contains method to set, retrieve and compare timestamps. ">XsTimeStamp</a> from an <a class="el" href="struct_xs_utc_time.html" title="A structure for storing UTC Time values. ">XsUtcTime</a> object.  <a href="group__cinterface.html#ga96fc3ee8f0b8597295311adb4ff8c78a">More...</a><br /></td></tr>
<tr class="separator:ga96fc3ee8f0b8597295311adb4ff8c78a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2760d12880e4b6dcd77dac1be3d1068"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gad2760d12880e4b6dcd77dac1be3d1068">XsTimeStamp_toUtcTime</a> (struct <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> *, struct <a class="el" href="struct_xs_utc_time.html">XsUtcTime</a> *utc)</td></tr>
<tr class="memdesc:gad2760d12880e4b6dcd77dac1be3d1068"><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the timestamp into an <a class="el" href="struct_xs_utc_time.html" title="A structure for storing UTC Time values. ">XsUtcTime</a> object.  <a href="group__cinterface.html#gad2760d12880e4b6dcd77dac1be3d1068">More...</a><br /></td></tr>
<tr class="separator:gad2760d12880e4b6dcd77dac1be3d1068"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class contains method to set, retrieve and compare timestamps. </p>
<p>Class for managing timestamps in a unified way. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6fa1fe905080b562d9412dfc893263c0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> XsTimeStamp::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the sum of the current and the given <em>other</em> timestamp. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The value to add to this </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The added timestamp values </dd></dl>

</div>
</div>
<a class="anchor" id="abbb35047db3a0147c47a2636bfe9e20f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> XsTimeStamp::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current minus the given <em>other</em> timestamp. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The value to subtract from this </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The subtracted timestamp values </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
